it-roy-ru.com

Как я могу установить пакет от Octave Forge?

Как я могу установить пакет от Octave Forge? Я использую функцию imresize и получаю эту ошибку

предупреждение: функция imresize принадлежит пакету изображений из Octave Forge, который, похоже, не установлен в вашей системе.

Я пытался сделать это octave:1> pkg install -forge image-2.4.1.tar.gz. Я получил эту ошибку.

ошибка: get_forge_pkg: пакет не найден: "image-2.4.0.tar.gz". Может быть, вы имели в виду "generate_html"? ошибка: вызвана с: ошибка: /usr/share/octave/3.8.1/m/pkg/private/get_forge_pkg.m в строке 73, столбец 9 ошибка: /usr/share/octave/3.8.1/m/pkg/ private/get_forge_download.m в строке 26, ошибка столбца 12: /usr/share/octave/3.8.1/m/pkg/pkg.m в строке 385, столбец 29

Какие доступны пакеты для обработки изображений в октаве? Как я могу их установить?

4
vinayawsm

Если вы используете -forge, укажите только имя, а не версию.

pkg install -forge package_name   # (not the version)

это то, что вы хотите

Вы можете альтернативно сделать это: - Это постоянное исправление. В вашем терминале типа

Sudo apt-get install octave-<package_name_you_want> (eg-image)

а затем в октавном типе

pkg load <pkg name>
5
Sagar Chand